# This spec for backport to M24 is autogenerated. Do not edit it.
%define postgrey_user postgrey
%define postgrey_group postgrey
%define postgrey_home %_localstatedir/%name

Name: postgrey
Version: 1.27
Release: alt0.M24.1

Summary: Greylisting Policy Server for Postfix and Exim
License: GPL
Group: System/Servers

URL: http://isg.ee.ethz.ch/tools/postgrey
BuildArch: noarch
Source0: http://isg.ee.ethz.ch/tools/postgrey/pub/%name-%version.tar.gz
Source1: %name.init
Source2: %name.sysconfig
Source3: %{name}_clients_dump
Source4: %name.dogwatch
Source5: %name.dogwatch.cron
Source6: %name.README.ALT
Patch0: postgrey-1.24-alt.patch

Packager: Vladimir V Kamarzin <vvk@altlinux.ru>

BuildPreReq: perl, perl-IO-Multiplex, perl-Net-Server, perl-BerkeleyDB, perl-Net-DNS
Requires: perl-IO-Multiplex

BuildRequires: rpm-build-compat >= 0.4

%description
Postgrey is a Postfix policy server implementing greylisting.
When a request for delivery of a mail is received by Postfix 
via SMTP, the triplet CLIENT_IP / SENDER / RECIPIENT is built. 
If it is the first time that this triplet is seen, or if the 
triplet was first seen less than 5 minutes, then the mail gets 
rejected with a temporary error. Hopefully spammers or viruses 
will not try again later, as it is however required per RFC.
Edit your configuration files:
/etc/postfix/main.cf:
  smtpd_recipient_restrictions = ...
    check_policy_service unix:postgrey/socket, ...
or if you like to use inet sockets (modify the IP if needed):
/etc/sysconfig/postgrey:
  OPTIONS="--inet=127.0.0.1:60000"
/etc/postfix/main.cf:
  smtpd_recipient_restrictions = ...
    check_policy_service inet:127.0.0.1:60000, ...

%package dogwatch
Summary: script and cron job for checking that postgrey is running
Group: System/Servers
Requires: %name = %version-%release

%description dogwatch
Script and cron job for checking that postgrey is running.
I wrote this script by dfo@'s request.

%prep
%setup -q -n %name-%version
%patch0 -p1

%install

install -d -m1711 %buildroot%_localstatedir/%name
install -d -m1755 %buildroot%_var/run/%name

install -pD -m0755 %name %buildroot%_sbindir/%name
install -pD -m0755 %SOURCE4 %buildroot%_sbindir/%name-dogwatch
install -pD -m0755 %SOURCE1 %buildroot%_initdir/%name
install -pD -m0644 %SOURCE2 %buildroot%_sysconfdir/sysconfig/%name
install -pD -m0644 %SOURCE5 %buildroot%_sysconfdir/cron.d/%name-dogwatch
install -pD -m0644 postgrey_whitelist_clients %buildroot%_sysconfdir/%name/whitelist_clients
install -pD -m0644 postgrey_whitelist_recipients %buildroot%_sysconfdir/%name/whitelist_recipients
install -pD -m0644 %SOURCE6 README.ALT
install -m0755 %SOURCE3 contrib
touch %buildroot%_sysconfdir/%name/whitelist_clients.local


%pre
/usr/sbin/groupadd -r -f %postgrey_group ||:
/usr/sbin/useradd -g %postgrey_group -c 'The Postgrey Daemon' \
        -d %postgrey_home -s /dev/null -r %postgrey_user >/dev/null 2>&1 ||:

%post
%post_service %name

%preun
%preun_service %name

%files
%_sbindir/%name
%_initdir/%name
%config(noreplace) %_sysconfdir/sysconfig/*
%config(noreplace) %_sysconfdir/%name/*
%dir %attr(1771,root,%postgrey_group) %_localstatedir/%name
%dir %attr(1775,root,%postgrey_group) %_var/run/%name
%doc README* Changes contrib

%files dogwatch
%_sbindir/%name-dogwatch
%_sysconfdir/cron.d/%name-dogwatch

%changelog
* Tue Jul 25 2006 Vladimir V Kamarzin <vvk@altlinux.ru> 1.27-alt0.M24.1
- backport to ALT Linux M24 (by rpmbph script)

* Tue Jul 25 2006 Vladimir V Kamarzin <vvk@altlinux.ru> 1.27-alt1
- 1.27
- Enhanced Summary (because added support for Exim)

* Fri Mar 17 2006 Vladimir V Kamarzin <vvk@altlinux.ru> 1.24-alt2
- Corrected path to whitelist_recipients file (reported by dfo@)

* Tue Feb 21 2006 Vladimir V Kamarzin <vvk@altlinux.ru> 1.24-alt1
- 1.24
- Rediffed postgrey-1.21-alt.patch and renamed to postgrey-1.24-alt.patch
- Don't use %%__install macro anymore

* Sat Nov 26 2005 Vladimir V Kamarzin <vvk@altlinux.ru> 1.23-alt1
- 1.23

* Thu Oct 27 2005 Vladimir V Kamarzin <vvk@altlinux.ru> 1.22rc1-alt1
- Updated to version 1.22rc1 due to possible bug with format-string problems
- Changed permissions of /var/lib/postgrey/ and /var/run/postgrey due to ALT
  security policy
- Fixed stupid bug with contrib-packaging
- Added postgrey-dogwatch by dfo@ request (separate package)
- Removed postfix from Requires
- Minor spec changes
- Added README.ALT

* Wed Oct 12 2005 Vladimir V Kamarzin <vvk@altlinux.ru> 1.21-alt3
- Fix missing requires (perl-IO-Multiplex) (Closes #8202)
- Service postgrey now disabled on any runlevels by default

* Tue Sep 06 2005 Vladimir V Kamarzin <vvk@altlinux.ru> 1.21-alt2
- Spec cleanup
- Removed unneeded actions in %%postun

* Mon Jul 25 2005 Vladimir V Kamarzin <vvk@altlinux.ru> 1.21-alt1
- Initial build for Sisyphus
- Added postgrey-1.21-alt.patch - fix default user/group, config and DB locations.
- Added postgrey_clients_dump script from Debian into contrib.
